Subject: bug#26028: 26.0.50; epatch for multifile patches

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Aug 2020 00:34:55 -0700

Tino Calancha <[email-masked]> writes:

> On Wed, 24 May 2017, Michael Heerdegen wrote:
>
>> Tino Calancha <[email-masked]> writes:
>>
>>> Recently i am not using `epatch', but maybe following patch
>>> is of interest for someone:
>>
>> FWIW, do you think you understood all of the code you changed (I ask
>> because I gave up after a while)?
> I think so.  I you exclude from the patch the added tests in
> test/lisp/vc/ediff-ptch-tests.el
> then this patch just touch:
> 2 files changed, 42 insertions(+), 18 deletions(-)
> The only it does:
> * tweak the original heuristic part for guessing the file names
> * change the suggested defaults in the prompts asking for the patch and
>   dirs to patch.
>
>>  If you did, do you think we should
>> install your fix, or are there open questions?
> I have tested with plain diffs and with Git diffs.  I didn't test it
> with other VC than Git.
> I don't think solves all the problems, but at least it makes `epatch' usable for
> the most common multipatch situations.

That was 3 years ago.

It looks like this patch was never installed. Should it be?

Best regards,
Stefan Kangas